ExprLookup.Variable (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.interpol, class: ExprLookup, class: Variable

Package org.apache.commons.configuration2.interpol

# Class ExprLookup.Variable

java.lang.Object
org.apache.commons.configuration2.interpol.ExprLookup.Variable

Enclosing class:
  `ExprLookup`

public static class ExprLookup.Variable extends Object
The key and corresponding object that will be made available to the JexlContext for use in expressions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Variable()`
  Constructs a new instance.
  `Variable(String name, Object value)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the name to be used in expressions.
  `Object`
  `getValue()`
  Sets the value to be used in expressions.
  `void`
  `setName(String name)`
  Sets the name to be used in expressions.
  `void`
  `setValue(Object value)`
  Sets the value to be used in expressions.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Variable

    public Variable()
    Constructs a new instance.

  - ### Variable

    public Variable(String name, Object value)
    Constructs a new instance.
    Parameters:
      `name` - The name to be used in expressions.
      `value` - The object to be accessed in expressions.

- ## Method Details

  - ### getName

    public String getName()
    Gets the name to be used in expressions.
    Returns:
      the name to be used in expressions.

  - ### getValue

    public Object getValue()
    Sets the value to be used in expressions.
    Returns:
      the value to be used in expressions.

  - ### setName

    public void setName(String name)
    Sets the name to be used in expressions.
    Parameters:
      `name` - the name to be used in expressions.

  - ### setValue

    public void setValue(Object value) throws ConfigurationRuntimeException
    Sets the value to be used in expressions.
    Parameters:
      `value` - The object to be accessed in expressions.
    Throws:
      `ConfigurationRuntimeException` - Wraps an exception creating the value.